# Commonly used constants

const q = 1.6021765e-19 #[C]
const dx = 1/100 #[Rg]
const Rg = 2634000. #[m], Ganymede's radius
const Rm = 2444000. #[m], Mercury's radius

const ionElectronMassRatio = 100 # ion-electron mass ratio in PIC simulation
const ionMass = 14 # single fluid ion mass in Ganymede's simulation

const me = 9.10938356e-31 #[kg]
const mp = 1.6726219e-27  #[kg]

const c = 3e8 #[m/s]
const Rₑ = 6.38e6 #[m]
const μ = 4*π*1e-7  # Vacuum permeability, [V*s/(A*m)]
